Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.property
Class MultipleDirectPropertyMapInspectorProperty

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.property.MultipleDirectPropertyMapInspectorProperty

public class MultipleDirectPropertyMapInspectorProperty
extends PropertyMapInspectorProperty

As in MultiplePropertyMapProperty the value is PropertyMap containing multiple Properties with the same key. The difference is that in MultiplePropertyMapProperty multiple Properties are stored in separate PropertyMap found in parent PropertyMap by given property key. In this class multiple Properties are stored in the parent PropertyMap itself.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
`myKey, myPropertyMap, myReadable, myWritable`

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`MULTI_VALUE_TAG, PROP_VALUE, UNDEFINED_VALUE`

Constructor Summary
`MultipleDirectPropertyMapInspectorProperty(PropertyMap map, Object key)` Constructs MultipleDirectPropertyMapInspectorProperty.
`MultipleDirectPropertyMapInspectorProperty(PropertyMap map, Object key, Class valueType, Class editorClass)` Constructs MultipleDirectPropertyMapInspectorProperty.

Method Summary
`boolean` | `canSetValue(Object value)` Checks whether it is possible to set certain value to this PropertyMap.
`Object` | `getValue()` Constructs PropertyMap containing all multiple Properties
`boolean` | `isReadable()` Checks whether it is possible to read value of this property.
`boolean` | `isWritable()` Checks whether it is possible to write value to this property.
`void` | `setValue(Object value)` Here, the value is PropertyMap containing all multiple Properties.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.property.PropertyMapInspectorProperty
`setReadable, setWritable`

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorProperty
`addPropertyChangeListener, firePropertyChange, getPropertyEditor, getValueType, removePropertyChangeListener, setPropertyEditor, update`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### MultipleDirectPropertyMapInspectorProperty

    public MultipleDirectPropertyMapInspectorProperty(PropertyMap map, Object key)

  Constructs MultipleDirectPropertyMapInspectorProperty.
  Parameters:
    map - PropertyMap which keeps multiple properties.
    key - Name of this PropertyMap

### MultipleDirectPropertyMapInspectorProperty

    public MultipleDirectPropertyMapInspectorProperty(PropertyMap map, Object key, Class valueType, Class editorClass)

  Constructs MultipleDirectPropertyMapInspectorProperty.
  Parameters:
    map - PropertyMap which keeps multiple properties.
    key - Name of this PropertyMap
    valueType - Type of values which is stored in this PropertyMap
    editorClass - Class which suited to edit values from this PropertyMap

Method Detail

### canSetValue

    public boolean canSetValue(Object value)

  Checks whether it is possible to set certain value to this PropertyMap.
  Parameters:
    value - Value to be checked
  Returns: true if so, false otherwise

### getValue

    public Object getValue()

  Constructs PropertyMap containing all multiple Properties

### isReadable

    public boolean isReadable()

  Checks whether it is possible to read value of this property.
  Returns: true if so, false otherwise

### isWritable

    public boolean isWritable()

  Checks whether it is possible to write value to this property.
  Returns: true if so, false otherwise

### setValue

    public void setValue(Object value)

  Here, the value is PropertyMap containing all multiple Properties. We extract them and put them into parent PropertyMap.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD